Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network30.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
30.0.0.0
Broadcast address
30.63.255.255
First usable
30.0.0.1
Last usable
30.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 1E000000 · Integer 503316480 to 507510783
Reverse DNS zones
0.30.in-addr.arpa
1.30.in-addr.arpa
2.30.in-addr.arpa
3.30.in-addr.arpa
4.30.in-addr.arpa
5.30.in-addr.arpa
6.30.in-addr.arpa
7.30.in-addr.arpa
8.30.in-addr.arpa
9.30.in-addr.arpa
10.30.in-addr.arpa
11.30.in-addr.arpa
12.30.in-addr.arpa
13.30.in-addr.arpa
14.30.in-addr.arpa
15.30.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011110.00000000.00000000.0000000030.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00011110.00000000.00000000.0000000030.0.0.0
Broadcast00011110.00111111.11111111.1111111130.63.255.255
Split into smaller subnets/22

30.0.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
130.0.0.0/2230.0.0.1 to 30.0.3.25430.0.3.2551,022
230.0.4.0/2230.0.4.1 to 30.0.7.25430.0.7.2551,022
330.0.8.0/2230.0.8.1 to 30.0.11.25430.0.11.2551,022
430.0.12.0/2230.0.12.1 to 30.0.15.25430.0.15.2551,022
530.0.16.0/2230.0.16.1 to 30.0.19.25430.0.19.2551,022
630.0.20.0/2230.0.20.1 to 30.0.23.25430.0.23.2551,022
730.0.24.0/2230.0.24.1 to 30.0.27.25430.0.27.2551,022
830.0.28.0/2230.0.28.1 to 30.0.31.25430.0.31.2551,022
930.0.32.0/2230.0.32.1 to 30.0.35.25430.0.35.2551,022
1030.0.36.0/2230.0.36.1 to 30.0.39.25430.0.39.2551,022
1130.0.40.0/2230.0.40.1 to 30.0.43.25430.0.43.2551,022
1230.0.44.0/2230.0.44.1 to 30.0.47.25430.0.47.2551,022
1330.0.48.0/2230.0.48.1 to 30.0.51.25430.0.51.2551,022
1430.0.52.0/2230.0.52.1 to 30.0.55.25430.0.55.2551,022
1530.0.56.0/2230.0.56.1 to 30.0.59.25430.0.59.2551,022
1630.0.60.0/2230.0.60.1 to 30.0.63.25430.0.63.2551,022
1730.0.64.0/2230.0.64.1 to 30.0.67.25430.0.67.2551,022
1830.0.68.0/2230.0.68.1 to 30.0.71.25430.0.71.2551,022
1930.0.72.0/2230.0.72.1 to 30.0.75.25430.0.75.2551,022
2030.0.76.0/2230.0.76.1 to 30.0.79.25430.0.79.2551,022
2130.0.80.0/2230.0.80.1 to 30.0.83.25430.0.83.2551,022
2230.0.84.0/2230.0.84.1 to 30.0.87.25430.0.87.2551,022
2330.0.88.0/2230.0.88.1 to 30.0.91.25430.0.91.2551,022
2430.0.92.0/2230.0.92.1 to 30.0.95.25430.0.95.2551,022
2530.0.96.0/2230.0.96.1 to 30.0.99.25430.0.99.2551,022
2630.0.100.0/2230.0.100.1 to 30.0.103.25430.0.103.2551,022
2730.0.104.0/2230.0.104.1 to 30.0.107.25430.0.107.2551,022
2830.0.108.0/2230.0.108.1 to 30.0.111.25430.0.111.2551,022
2930.0.112.0/2230.0.112.1 to 30.0.115.25430.0.115.2551,022
3030.0.116.0/2230.0.116.1 to 30.0.119.25430.0.119.2551,022
3130.0.120.0/2230.0.120.1 to 30.0.123.25430.0.123.2551,022
3230.0.124.0/2230.0.124.1 to 30.0.127.25430.0.127.2551,022
3330.0.128.0/2230.0.128.1 to 30.0.131.25430.0.131.2551,022
3430.0.132.0/2230.0.132.1 to 30.0.135.25430.0.135.2551,022
3530.0.136.0/2230.0.136.1 to 30.0.139.25430.0.139.2551,022
3630.0.140.0/2230.0.140.1 to 30.0.143.25430.0.143.2551,022
3730.0.144.0/2230.0.144.1 to 30.0.147.25430.0.147.2551,022
3830.0.148.0/2230.0.148.1 to 30.0.151.25430.0.151.2551,022
3930.0.152.0/2230.0.152.1 to 30.0.155.25430.0.155.2551,022
4030.0.156.0/2230.0.156.1 to 30.0.159.25430.0.159.2551,022
4130.0.160.0/2230.0.160.1 to 30.0.163.25430.0.163.2551,022
4230.0.164.0/2230.0.164.1 to 30.0.167.25430.0.167.2551,022
4330.0.168.0/2230.0.168.1 to 30.0.171.25430.0.171.2551,022
4430.0.172.0/2230.0.172.1 to 30.0.175.25430.0.175.2551,022
4530.0.176.0/2230.0.176.1 to 30.0.179.25430.0.179.2551,022
4630.0.180.0/2230.0.180.1 to 30.0.183.25430.0.183.2551,022
4730.0.184.0/2230.0.184.1 to 30.0.187.25430.0.187.2551,022
4830.0.188.0/2230.0.188.1 to 30.0.191.25430.0.191.2551,022
4930.0.192.0/2230.0.192.1 to 30.0.195.25430.0.195.2551,022
5030.0.196.0/2230.0.196.1 to 30.0.199.25430.0.199.2551,022
5130.0.200.0/2230.0.200.1 to 30.0.203.25430.0.203.2551,022
5230.0.204.0/2230.0.204.1 to 30.0.207.25430.0.207.2551,022
5330.0.208.0/2230.0.208.1 to 30.0.211.25430.0.211.2551,022
5430.0.212.0/2230.0.212.1 to 30.0.215.25430.0.215.2551,022
5530.0.216.0/2230.0.216.1 to 30.0.219.25430.0.219.2551,022
5630.0.220.0/2230.0.220.1 to 30.0.223.25430.0.223.2551,022
5730.0.224.0/2230.0.224.1 to 30.0.227.25430.0.227.2551,022
5830.0.228.0/2230.0.228.1 to 30.0.231.25430.0.231.2551,022
5930.0.232.0/2230.0.232.1 to 30.0.235.25430.0.235.2551,022
6030.0.236.0/2230.0.236.1 to 30.0.239.25430.0.239.2551,022
6130.0.240.0/2230.0.240.1 to 30.0.243.25430.0.243.2551,022
6230.0.244.0/2230.0.244.1 to 30.0.247.25430.0.247.2551,022
6330.0.248.0/2230.0.248.1 to 30.0.251.25430.0.251.2551,022
6430.0.252.0/2230.0.252.1 to 30.0.255.25430.0.255.2551,022
6530.1.0.0/2230.1.0.1 to 30.1.3.25430.1.3.2551,022
6630.1.4.0/2230.1.4.1 to 30.1.7.25430.1.7.2551,022
6730.1.8.0/2230.1.8.1 to 30.1.11.25430.1.11.2551,022
6830.1.12.0/2230.1.12.1 to 30.1.15.25430.1.15.2551,022
6930.1.16.0/2230.1.16.1 to 30.1.19.25430.1.19.2551,022
7030.1.20.0/2230.1.20.1 to 30.1.23.25430.1.23.2551,022
7130.1.24.0/2230.1.24.1 to 30.1.27.25430.1.27.2551,022
7230.1.28.0/2230.1.28.1 to 30.1.31.25430.1.31.2551,022
7330.1.32.0/2230.1.32.1 to 30.1.35.25430.1.35.2551,022
7430.1.36.0/2230.1.36.1 to 30.1.39.25430.1.39.2551,022
7530.1.40.0/2230.1.40.1 to 30.1.43.25430.1.43.2551,022
7630.1.44.0/2230.1.44.1 to 30.1.47.25430.1.47.2551,022
7730.1.48.0/2230.1.48.1 to 30.1.51.25430.1.51.2551,022
7830.1.52.0/2230.1.52.1 to 30.1.55.25430.1.55.2551,022
7930.1.56.0/2230.1.56.1 to 30.1.59.25430.1.59.2551,022
8030.1.60.0/2230.1.60.1 to 30.1.63.25430.1.63.2551,022
8130.1.64.0/2230.1.64.1 to 30.1.67.25430.1.67.2551,022
8230.1.68.0/2230.1.68.1 to 30.1.71.25430.1.71.2551,022
8330.1.72.0/2230.1.72.1 to 30.1.75.25430.1.75.2551,022
8430.1.76.0/2230.1.76.1 to 30.1.79.25430.1.79.2551,022
8530.1.80.0/2230.1.80.1 to 30.1.83.25430.1.83.2551,022
8630.1.84.0/2230.1.84.1 to 30.1.87.25430.1.87.2551,022
8730.1.88.0/2230.1.88.1 to 30.1.91.25430.1.91.2551,022
8830.1.92.0/2230.1.92.1 to 30.1.95.25430.1.95.2551,022
8930.1.96.0/2230.1.96.1 to 30.1.99.25430.1.99.2551,022
9030.1.100.0/2230.1.100.1 to 30.1.103.25430.1.103.2551,022
9130.1.104.0/2230.1.104.1 to 30.1.107.25430.1.107.2551,022
9230.1.108.0/2230.1.108.1 to 30.1.111.25430.1.111.2551,022
9330.1.112.0/2230.1.112.1 to 30.1.115.25430.1.115.2551,022
9430.1.116.0/2230.1.116.1 to 30.1.119.25430.1.119.2551,022
9530.1.120.0/2230.1.120.1 to 30.1.123.25430.1.123.2551,022
9630.1.124.0/2230.1.124.1 to 30.1.127.25430.1.127.2551,022
9730.1.128.0/2230.1.128.1 to 30.1.131.25430.1.131.2551,022
9830.1.132.0/2230.1.132.1 to 30.1.135.25430.1.135.2551,022
9930.1.136.0/2230.1.136.1 to 30.1.139.25430.1.139.2551,022
10030.1.140.0/2230.1.140.1 to 30.1.143.25430.1.143.2551,022
10130.1.144.0/2230.1.144.1 to 30.1.147.25430.1.147.2551,022
10230.1.148.0/2230.1.148.1 to 30.1.151.25430.1.151.2551,022
10330.1.152.0/2230.1.152.1 to 30.1.155.25430.1.155.2551,022
10430.1.156.0/2230.1.156.1 to 30.1.159.25430.1.159.2551,022
10530.1.160.0/2230.1.160.1 to 30.1.163.25430.1.163.2551,022
10630.1.164.0/2230.1.164.1 to 30.1.167.25430.1.167.2551,022
10730.1.168.0/2230.1.168.1 to 30.1.171.25430.1.171.2551,022
10830.1.172.0/2230.1.172.1 to 30.1.175.25430.1.175.2551,022
10930.1.176.0/2230.1.176.1 to 30.1.179.25430.1.179.2551,022
11030.1.180.0/2230.1.180.1 to 30.1.183.25430.1.183.2551,022
11130.1.184.0/2230.1.184.1 to 30.1.187.25430.1.187.2551,022
11230.1.188.0/2230.1.188.1 to 30.1.191.25430.1.191.2551,022
11330.1.192.0/2230.1.192.1 to 30.1.195.25430.1.195.2551,022
11430.1.196.0/2230.1.196.1 to 30.1.199.25430.1.199.2551,022
11530.1.200.0/2230.1.200.1 to 30.1.203.25430.1.203.2551,022
11630.1.204.0/2230.1.204.1 to 30.1.207.25430.1.207.2551,022
11730.1.208.0/2230.1.208.1 to 30.1.211.25430.1.211.2551,022
11830.1.212.0/2230.1.212.1 to 30.1.215.25430.1.215.2551,022
11930.1.216.0/2230.1.216.1 to 30.1.219.25430.1.219.2551,022
12030.1.220.0/2230.1.220.1 to 30.1.223.25430.1.223.2551,022
12130.1.224.0/2230.1.224.1 to 30.1.227.25430.1.227.2551,022
12230.1.228.0/2230.1.228.1 to 30.1.231.25430.1.231.2551,022
12330.1.232.0/2230.1.232.1 to 30.1.235.25430.1.235.2551,022
12430.1.236.0/2230.1.236.1 to 30.1.239.25430.1.239.2551,022
12530.1.240.0/2230.1.240.1 to 30.1.243.25430.1.243.2551,022
12630.1.244.0/2230.1.244.1 to 30.1.247.25430.1.247.2551,022
12730.1.248.0/2230.1.248.1 to 30.1.251.25430.1.251.2551,022
12830.1.252.0/2230.1.252.1 to 30.1.255.25430.1.255.2551,022
12930.2.0.0/2230.2.0.1 to 30.2.3.25430.2.3.2551,022
13030.2.4.0/2230.2.4.1 to 30.2.7.25430.2.7.2551,022
13130.2.8.0/2230.2.8.1 to 30.2.11.25430.2.11.2551,022
13230.2.12.0/2230.2.12.1 to 30.2.15.25430.2.15.2551,022
13330.2.16.0/2230.2.16.1 to 30.2.19.25430.2.19.2551,022
13430.2.20.0/2230.2.20.1 to 30.2.23.25430.2.23.2551,022
13530.2.24.0/2230.2.24.1 to 30.2.27.25430.2.27.2551,022
13630.2.28.0/2230.2.28.1 to 30.2.31.25430.2.31.2551,022
13730.2.32.0/2230.2.32.1 to 30.2.35.25430.2.35.2551,022
13830.2.36.0/2230.2.36.1 to 30.2.39.25430.2.39.2551,022
13930.2.40.0/2230.2.40.1 to 30.2.43.25430.2.43.2551,022
14030.2.44.0/2230.2.44.1 to 30.2.47.25430.2.47.2551,022
14130.2.48.0/2230.2.48.1 to 30.2.51.25430.2.51.2551,022
14230.2.52.0/2230.2.52.1 to 30.2.55.25430.2.55.2551,022
14330.2.56.0/2230.2.56.1 to 30.2.59.25430.2.59.2551,022
14430.2.60.0/2230.2.60.1 to 30.2.63.25430.2.63.2551,022
14530.2.64.0/2230.2.64.1 to 30.2.67.25430.2.67.2551,022
14630.2.68.0/2230.2.68.1 to 30.2.71.25430.2.71.2551,022
14730.2.72.0/2230.2.72.1 to 30.2.75.25430.2.75.2551,022
14830.2.76.0/2230.2.76.1 to 30.2.79.25430.2.79.2551,022
14930.2.80.0/2230.2.80.1 to 30.2.83.25430.2.83.2551,022
15030.2.84.0/2230.2.84.1 to 30.2.87.25430.2.87.2551,022
15130.2.88.0/2230.2.88.1 to 30.2.91.25430.2.91.2551,022
15230.2.92.0/2230.2.92.1 to 30.2.95.25430.2.95.2551,022
15330.2.96.0/2230.2.96.1 to 30.2.99.25430.2.99.2551,022
15430.2.100.0/2230.2.100.1 to 30.2.103.25430.2.103.2551,022
15530.2.104.0/2230.2.104.1 to 30.2.107.25430.2.107.2551,022
15630.2.108.0/2230.2.108.1 to 30.2.111.25430.2.111.2551,022
15730.2.112.0/2230.2.112.1 to 30.2.115.25430.2.115.2551,022
15830.2.116.0/2230.2.116.1 to 30.2.119.25430.2.119.2551,022
15930.2.120.0/2230.2.120.1 to 30.2.123.25430.2.123.2551,022
16030.2.124.0/2230.2.124.1 to 30.2.127.25430.2.127.2551,022
16130.2.128.0/2230.2.128.1 to 30.2.131.25430.2.131.2551,022
16230.2.132.0/2230.2.132.1 to 30.2.135.25430.2.135.2551,022
16330.2.136.0/2230.2.136.1 to 30.2.139.25430.2.139.2551,022
16430.2.140.0/2230.2.140.1 to 30.2.143.25430.2.143.2551,022
16530.2.144.0/2230.2.144.1 to 30.2.147.25430.2.147.2551,022
16630.2.148.0/2230.2.148.1 to 30.2.151.25430.2.151.2551,022
16730.2.152.0/2230.2.152.1 to 30.2.155.25430.2.155.2551,022
16830.2.156.0/2230.2.156.1 to 30.2.159.25430.2.159.2551,022
16930.2.160.0/2230.2.160.1 to 30.2.163.25430.2.163.2551,022
17030.2.164.0/2230.2.164.1 to 30.2.167.25430.2.167.2551,022
17130.2.168.0/2230.2.168.1 to 30.2.171.25430.2.171.2551,022
17230.2.172.0/2230.2.172.1 to 30.2.175.25430.2.175.2551,022
17330.2.176.0/2230.2.176.1 to 30.2.179.25430.2.179.2551,022
17430.2.180.0/2230.2.180.1 to 30.2.183.25430.2.183.2551,022
17530.2.184.0/2230.2.184.1 to 30.2.187.25430.2.187.2551,022
17630.2.188.0/2230.2.188.1 to 30.2.191.25430.2.191.2551,022
17730.2.192.0/2230.2.192.1 to 30.2.195.25430.2.195.2551,022
17830.2.196.0/2230.2.196.1 to 30.2.199.25430.2.199.2551,022
17930.2.200.0/2230.2.200.1 to 30.2.203.25430.2.203.2551,022
18030.2.204.0/2230.2.204.1 to 30.2.207.25430.2.207.2551,022
18130.2.208.0/2230.2.208.1 to 30.2.211.25430.2.211.2551,022
18230.2.212.0/2230.2.212.1 to 30.2.215.25430.2.215.2551,022
18330.2.216.0/2230.2.216.1 to 30.2.219.25430.2.219.2551,022
18430.2.220.0/2230.2.220.1 to 30.2.223.25430.2.223.2551,022
18530.2.224.0/2230.2.224.1 to 30.2.227.25430.2.227.2551,022
18630.2.228.0/2230.2.228.1 to 30.2.231.25430.2.231.2551,022
18730.2.232.0/2230.2.232.1 to 30.2.235.25430.2.235.2551,022
18830.2.236.0/2230.2.236.1 to 30.2.239.25430.2.239.2551,022
18930.2.240.0/2230.2.240.1 to 30.2.243.25430.2.243.2551,022
19030.2.244.0/2230.2.244.1 to 30.2.247.25430.2.247.2551,022
19130.2.248.0/2230.2.248.1 to 30.2.251.25430.2.251.2551,022
19230.2.252.0/2230.2.252.1 to 30.2.255.25430.2.255.2551,022
19330.3.0.0/2230.3.0.1 to 30.3.3.25430.3.3.2551,022
19430.3.4.0/2230.3.4.1 to 30.3.7.25430.3.7.2551,022
19530.3.8.0/2230.3.8.1 to 30.3.11.25430.3.11.2551,022
19630.3.12.0/2230.3.12.1 to 30.3.15.25430.3.15.2551,022
19730.3.16.0/2230.3.16.1 to 30.3.19.25430.3.19.2551,022
19830.3.20.0/2230.3.20.1 to 30.3.23.25430.3.23.2551,022
19930.3.24.0/2230.3.24.1 to 30.3.27.25430.3.27.2551,022
20030.3.28.0/2230.3.28.1 to 30.3.31.25430.3.31.2551,022
20130.3.32.0/2230.3.32.1 to 30.3.35.25430.3.35.2551,022
20230.3.36.0/2230.3.36.1 to 30.3.39.25430.3.39.2551,022
20330.3.40.0/2230.3.40.1 to 30.3.43.25430.3.43.2551,022
20430.3.44.0/2230.3.44.1 to 30.3.47.25430.3.47.2551,022
20530.3.48.0/2230.3.48.1 to 30.3.51.25430.3.51.2551,022
20630.3.52.0/2230.3.52.1 to 30.3.55.25430.3.55.2551,022
20730.3.56.0/2230.3.56.1 to 30.3.59.25430.3.59.2551,022
20830.3.60.0/2230.3.60.1 to 30.3.63.25430.3.63.2551,022
20930.3.64.0/2230.3.64.1 to 30.3.67.25430.3.67.2551,022
21030.3.68.0/2230.3.68.1 to 30.3.71.25430.3.71.2551,022
21130.3.72.0/2230.3.72.1 to 30.3.75.25430.3.75.2551,022
21230.3.76.0/2230.3.76.1 to 30.3.79.25430.3.79.2551,022
21330.3.80.0/2230.3.80.1 to 30.3.83.25430.3.83.2551,022
21430.3.84.0/2230.3.84.1 to 30.3.87.25430.3.87.2551,022
21530.3.88.0/2230.3.88.1 to 30.3.91.25430.3.91.2551,022
21630.3.92.0/2230.3.92.1 to 30.3.95.25430.3.95.2551,022
21730.3.96.0/2230.3.96.1 to 30.3.99.25430.3.99.2551,022
21830.3.100.0/2230.3.100.1 to 30.3.103.25430.3.103.2551,022
21930.3.104.0/2230.3.104.1 to 30.3.107.25430.3.107.2551,022
22030.3.108.0/2230.3.108.1 to 30.3.111.25430.3.111.2551,022
22130.3.112.0/2230.3.112.1 to 30.3.115.25430.3.115.2551,022
22230.3.116.0/2230.3.116.1 to 30.3.119.25430.3.119.2551,022
22330.3.120.0/2230.3.120.1 to 30.3.123.25430.3.123.2551,022
22430.3.124.0/2230.3.124.1 to 30.3.127.25430.3.127.2551,022
22530.3.128.0/2230.3.128.1 to 30.3.131.25430.3.131.2551,022
22630.3.132.0/2230.3.132.1 to 30.3.135.25430.3.135.2551,022
22730.3.136.0/2230.3.136.1 to 30.3.139.25430.3.139.2551,022
22830.3.140.0/2230.3.140.1 to 30.3.143.25430.3.143.2551,022
22930.3.144.0/2230.3.144.1 to 30.3.147.25430.3.147.2551,022
23030.3.148.0/2230.3.148.1 to 30.3.151.25430.3.151.2551,022
23130.3.152.0/2230.3.152.1 to 30.3.155.25430.3.155.2551,022
23230.3.156.0/2230.3.156.1 to 30.3.159.25430.3.159.2551,022
23330.3.160.0/2230.3.160.1 to 30.3.163.25430.3.163.2551,022
23430.3.164.0/2230.3.164.1 to 30.3.167.25430.3.167.2551,022
23530.3.168.0/2230.3.168.1 to 30.3.171.25430.3.171.2551,022
23630.3.172.0/2230.3.172.1 to 30.3.175.25430.3.175.2551,022
23730.3.176.0/2230.3.176.1 to 30.3.179.25430.3.179.2551,022
23830.3.180.0/2230.3.180.1 to 30.3.183.25430.3.183.2551,022
23930.3.184.0/2230.3.184.1 to 30.3.187.25430.3.187.2551,022
24030.3.188.0/2230.3.188.1 to 30.3.191.25430.3.191.2551,022
24130.3.192.0/2230.3.192.1 to 30.3.195.25430.3.195.2551,022
24230.3.196.0/2230.3.196.1 to 30.3.199.25430.3.199.2551,022
24330.3.200.0/2230.3.200.1 to 30.3.203.25430.3.203.2551,022
24430.3.204.0/2230.3.204.1 to 30.3.207.25430.3.207.2551,022
24530.3.208.0/2230.3.208.1 to 30.3.211.25430.3.211.2551,022
24630.3.212.0/2230.3.212.1 to 30.3.215.25430.3.215.2551,022
24730.3.216.0/2230.3.216.1 to 30.3.219.25430.3.219.2551,022
24830.3.220.0/2230.3.220.1 to 30.3.223.25430.3.223.2551,022
24930.3.224.0/2230.3.224.1 to 30.3.227.25430.3.227.2551,022
25030.3.228.0/2230.3.228.1 to 30.3.231.25430.3.231.2551,022
25130.3.232.0/2230.3.232.1 to 30.3.235.25430.3.235.2551,022
25230.3.236.0/2230.3.236.1 to 30.3.239.25430.3.239.2551,022
25330.3.240.0/2230.3.240.1 to 30.3.243.25430.3.243.2551,022
25430.3.244.0/2230.3.244.1 to 30.3.247.25430.3.247.2551,022
25530.3.248.0/2230.3.248.1 to 30.3.251.25430.3.251.2551,022
25630.3.252.0/2230.3.252.1 to 30.3.255.25430.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses